function [ Ineqs, Eqs ] = jmpConstraints( x )
    global nu
    d = x( 1 );
    l = x( 2 );
    n = x( 3 );
    g = x( 4 );
    p = x( 5 );
    zeta = x( 6 );
    LI = x( 7 );
    JPConstraint = fsolve( @(JP)( jmpJPEquation( JP, d, l, n, g, p, zeta, LI ) ), 1, optimset( 'Display', 'off' ) ) - 1;
    JP = fsolve( @(JP)( jmpJPEquation( JP, d, l, n, g, p, zeta, LI ) ), 4, optimset( 'Display', 'off' ) );
    [GI,Fw,mP,LR,GA,mAgg,AN,A,W,YOverII,LSTIIP1Onu] = jmpGetValues1( JP, d, l, n, g, p, zeta, LI );
    II = (LSTIIP1Onu/(LI*(1-(1-d)/GI)+(1-Fw)*JP*LR+YOverII*((1/A)^(1/l)*((1+mAgg)/(1+mP))^((1+l)/l)*(1-Fw)+(AN/A)^(1/l)*((1+mAgg)/(1+n*l))^((1+l)/l)*Fw)))^(nu/(1+nu));
    Y = YOverII * II;
    GIConstraint = 1.00025-GI;
    pgConstraint = p*g-1/l;
    ngConstraint = 1/l-n*g;
    markupConstraint1 = mAgg-0.3;
    markupConstraint2 = 0.056-mAgg;
    GAConstraint1 = (100*GA-100)-0.465;
    GAConstraint2 = 0.455-(100*GA-100);
    RSConstraint1 = (100*(LI*II*(1-(1-d)/GI)+II*(1-Fw)*JP*LR)*W/Y)-2.65;
    RSConstraint2 = 2.55-(100*(LI*II*(1-(1-d)/GI)+II*(1-Fw)*JP*LR)*W/Y);
    Ineqs = [ pgConstraint, ngConstraint, GIConstraint, JPConstraint, markupConstraint1, markupConstraint2, GAConstraint1, GAConstraint2, RSConstraint1, RSConstraint2 ];
    Eqs = [];
end